Package org.eclipse.emf.cdo.common.branch

## Interface CDOBranchProvider

- All Known Subinterfaces:
    `CDOBranch`, `CDOBranchChangedEvent`, `CDOBranchCreatedEvent`, `CDOBranchPoint`, `CDOBranchTag`, `CDOBranchVersion`, `CDOCommitContext`, `CDOCommitHistory`, `CDOCommitHistory.TriggerLoadElement`, `CDOCommitInfo`, `CDOCommonTransaction`, `CDOCommonView`, `CDOIDAndBranch`, `CDOLockChangeInfo`, `CDOObjectHistory`, `CDORevisable`, `CDORevision`, `CDORevisionCache.EvictionEvent`, `CDORevisionDelta`, `CDORevisionKey`, `CDOSessionInvalidationEvent`, `CDOSessionLocksChangedEvent`, `CDOTransaction`, `CDOView`, `CDOViewLocksChangedEvent`, `IDurableLockingManager.LockArea`, `InternalCDOBranch`, `InternalCDORevision`, `InternalCDORevisionDelta`, `InternalCDOSessionInvalidationEvent`, `InternalCDOTransaction`, `InternalCDOTransaction.InternalCDOCommitContext`, `InternalCDOView`, `InternalCDOXATransaction.InternalCDOXACommitContext`, `InternalTransaction`, `InternalView`, `IQueryContext`, `IStoreAccessor.QueryResourcesContext`, `IStoreAccessor.QueryResourcesContext.ExactMatch`, `IStoreAccessor.QueryXRefsContext`, `ITransaction`, `IView`
  All Known Implementing Classes:
    `AbstractCDORevision`, `BaseCDORevision`, `CDOChangeSetSegment`, `CDOPushTransaction`, `CDOSessionProtocol.CommitTransactionResult`, `DelegatingCDORevision`, `DelegatingQueryResourcesContext`, `DetachedCDORevision`, `DurableLockArea`, `PointerCDORevision`, `StubCDORevision`, `SyntheticCDORevision`

      public interface CDOBranchProvider

  Provides the consumer with a `branch`.
  Since:
    4.6
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranch` | `getBranch()` |

- - ### Method Detail

    - #### getBranch

          CDOBranch getBranch()